Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::script_factory Class Reference

An abstract factory for `scripts`. More...

List of all members.

## Public Member Functions

virtual | ~script_factory ()=0 throw ()
| Destroy.
virtual std::auto_ptr< script > | create_script (script_node &node, const boost::shared_ptr< resource_istream > &source)=0
| Create a `script`.

## Protected Member Functions

| script_factory () throw ()
| Construct.

## Detailed Description

An abstract factory for `scripts`.

## Constructor & Destructor Documentation

openvrml::script_factory::~script_factory | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::script_factory::script_factory | ( |  | ) | throw ()`[protected]`

Construct.

## Member Function Documentation

std::auto_ptr< openvrml::script > openvrml::script_factory::create_script | ( | script_node & | node,
|  | const boost::shared_ptr< resource_istream > & | source |
| ) |  |  | `[pure virtual]`

Create a `script`.

Implementations of this function are called in the implementation of `script_node`. A `script` instance is created to encapsulate scripting logic in a Script node instance.